## org.mortbay.html
Class Form

    java.lang.Object
      |
      +--org.mortbay.html.Element
            |
            +--org.mortbay.html.Composite
                  |
                  +--org.mortbay.html.Block
                        |
                        +--org.mortbay.html.Form

Direct Known Subclasses:
  TableForm

public class Form
extends Block

HTML Form. The specialized Block can contain HTML Form elements as well as any other HTML elements

Field Summary
`static java.lang.String` `encodingMultipartForm`
`static java.lang.String` `encodingWWWURL`

Fields inherited from class org.mortbay.html.Block
`Bold, Center, Div, Italic, Left, Listing, Plain, Pre, Quote, Right, Span, Xmp`

Fields inherited from class org.mortbay.html.Element
`ALIGN, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`Form()` Constructor.
`Form(java.lang.String submitURL)` Constructor.

Method Summary
`Form` `action(java.lang.String submitURL)` Constructor.
`Form` `encoding(java.lang.String encoding)` Set the form encoding type.
`Form` `method(java.lang.String m)` Set the form method.
`Form` `target(java.lang.String t)` Set the form target.
`void` `write(java.io.Writer out)` Write the composite.

Methods inherited from class org.mortbay.html.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### encodingWWWURL

    public static final java.lang.String encodingWWWURL

See Also:
  Constant Field Values

### encodingMultipartForm

    public static final java.lang.String encodingMultipartForm

See Also:
  Constant Field Values

Constructor Detail

### Form

    public Form()

  Constructor.

### Form

    public Form(java.lang.String submitURL)

  Constructor.

Parameters:
  `submitURL` - The URL to submit the form to

Method Detail

### action

    public Form action(java.lang.String submitURL)

  Constructor.

  Parameters:
    `submitURL` - The URL to submit the form to

### target

    public Form target(java.lang.String t)

  Set the form target.

### method

    public Form method(java.lang.String m)

  Set the form method.

### encoding

    public Form encoding(java.lang.String encoding)

  Set the form encoding type.

### write

    public void write(java.io.Writer out)
               throws java.io.IOException

  Description copied from class: `Composite`
  Write the composite. The default implementation writes the elements sequentially. May be overridden for more specialized behaviour.

  Overrides:
    `write` in class `Block`
  Parameters:
    `out` - Writer to write the element to.
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.